Bug 561981 - Review Request: php-phpunit-PHP-TokenStream - Wrapper around PHP's tokenizer extension
Summary: Review Request: php-phpunit-PHP-TokenStream - Wrapper around PHP's tokenizer ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 561985
TreeView+ depends on / blocked
 
Reported: 2010-02-04 21:46 UTC by Christof Damian
Modified: 2010-07-05 01:43 UTC (History)
3 users (show)

Fixed In Version: php-phpunit-PHP-TokenStream-0.9.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-24 08:05:38 UTC
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2010-02-04 21:46:28 UTC
Spec URL: http://rpms.damian.net/SPECS/php-phpunit-PHP-TokenStream.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-phpunit-PHP-TokenStream-0.9.1-1.fc12.src.rpm
Description: Wrapper around PHP's tokenizer extension

Comment 1 Remi Collet 2010-02-21 07:16:39 UTC
REVIEW

+ rpmlint
php-phpunit-PHP-TokenStream.spec: I: checking-url http://pear.phpunit.de/get/PHP_TokenStream-0.9.1.tgz (timeout 10 seconds)
php-phpunit-PHP-TokenStream.src: I: checking
php-phpunit-PHP-TokenStream.src: W: spelling-error Summary(en_US) PHP's -> HP's, PCP's, P HP's
php-phpunit-PHP-TokenStream.src: W: spelling-error Summary(en_US) tokenizer -> tokenism, token, patronizer
php-phpunit-PHP-TokenStream.src: W: spelling-error %description -l en_US PHP's -> HP's, PCP's, P HP's
php-phpunit-PHP-TokenStream.src: W: spelling-error %description -l en_US tokenizer -> tokenism, token, patronizer
php-phpunit-PHP-TokenStream.src: I: checking-url http://github.com/sebastianbergmann/php-token-stream (timeout 10 seconds)
php-phpunit-PHP-TokenStream.src: I: checking-url http://pear.phpunit.de/get/PHP_TokenStream-0.9.1.tgz (timeout 10 seconds)
php-phpunit-PHP-TokenStream.noarch: I: checking
php-phpunit-PHP-TokenStream.noarch: W: spelling-error Summary(en_US) PHP's -> HP's, PCP's, P HP's
php-phpunit-PHP-TokenStream.noarch: W: spelling-error Summary(en_US) tokenizer -> tokenism, token, patronizer
php-phpunit-PHP-TokenStream.noarch: W: spelling-error %description -l en_US PHP's -> HP's, PCP's, P HP's
php-phpunit-PHP-TokenStream.noarch: W: spelling-error %description -l en_US tokenizer -> tokenism, token, patronizer
php-phpunit-PHP-TokenStream.noarch: I: checking-url http://github.com/sebastianbergmann/php-token-stream (timeout 10 seconds)
php-phpunit-PHP-TokenStream.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 9 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines
+ License ok : BSD
+ License is upstream
+ spec in english and legible
+ no license file in sources is provided
+ sources match the upstream sources
328c7d9e95fc9b0078b180bbb8c532d1  PHP_TokenStream-0.9.1.tgz
+ Source URL ok
+ build  on F12.x86_64
+ BuildRequires ok
php-pear >= 1:1.8.1
php-channel(pear.phpunit.de)
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ no %define
+ contain code
+ no documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in koji
+ no test suite (Tests dir in git not provided,)
+ scriptlets ok
- Final Requires 
/usr/bin/pear  
php-channel(pear.phpunit.de)  
php-common >= 5.2.0
php-tokenizer  
+ Final Provides ok
php-pear(pear.phpunit.de/PHP_TokenStream) = 0.9.1
php-phpunit-PHP-TokenStream = 0.9.1-1.fc8
+ Koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=2002482


removing the PHP's in sumnary should be fine.



***** APPROVED *****

Comment 2 Christof Damian 2010-02-21 10:12:49 UTC
Thanks for the Review. I will change the summary on import.

New Package CVS Request
=======================
Package Name: php-phpunit-PHP-TokenStream
Short Description: Wrapper around PHP's tokenizer extension
Owners: cdamian
Branches: F-12 F-13
InitialCC:

Comment 3 Jason Tibbitts 2010-02-22 20:11:28 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-02-23 22:01:15 UTC
php-phpunit-PHP-TokenStream-0.9.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-phpunit-PHP-TokenStream-0.9.1-2.fc12

Comment 5 Fedora Update System 2010-02-23 22:01:58 UTC
php-phpunit-PHP-TokenStream-0.9.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-phpunit-PHP-TokenStream-0.9.1-2.fc13

Comment 6 Fedora Update System 2010-02-24 08:05:33 UTC
php-phpunit-PHP-TokenStream-0.9.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-02-27 03:36:16 UTC
php-phpunit-PHP-TokenStream-0.9.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Christof Damian 2010-07-04 11:24:42 UTC
Package Change Request
======================
Package Name: php-phpunit-PHP-TokenStream
New Branches: EL-6
Owners: cdamian

Comment 9 Kevin Fenzi 2010-07-05 01:43:16 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.